Skip to content

Update workspace

Request

Update fields on a specific workspace.

Currently supports updating the workspace name. To update workspace branding (logo, colors, company info), use PUT /auth/branding/entity.

Security
ShuffllApiKey
Path
organizationIdstringrequired

Unique identifier for the organization

Example:693fb82afd8d1c43077ba0fb
workspaceIdstringrequired

Unique identifier for the workspace

Example:693fb82afd8d1c43077ba0fe
Bodyapplication/jsonrequired
namestring

New display name for the workspace

Example:"Marketing Team Workspace"
curl -i -X PUT \
  https://api-docs.shuffll.com/_mock/apis/auth/organization/693fb82afd8d1c43077ba0fb/workspace/693fb82afd8d1c43077ba0fe \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY_HERE' \
  -d '{
    "name": "Marketing Team Workspace"
  }'

Responses

Workspace updated successfully.

Response
No content